;
;  BICEM - Zugriff auf Host-Laufwerke
;
;  Dieses Programm erlaubt dem Nutzer, Host-Laufwerke `abzumounten'.
;
;  (c) copyright 1999 Stefan Reuther
;

                ld      hl,$80                  ; Parameterstring 
                ld      a,(hl)                  ; nullterminieren
                ld      de,$81
                add     e
                ld      e,a
                ld      a,0
                ld      (de),a

Loop:           ld      a,(hl)                  ; Leerraum berlesen
                or      a
                jpz     ShowUsage
                cmp     33
                jrnc    NoSpace
                inc     hl
                jr      Loop

NoSpace:        sub     65                      ; Zeichen gefunden
                jrc     ShowUsage               ; gltiger Laufwerksbuchstabe?
                cmp     16
                jrc     DriveLetterOK
                sub     32
                jrc     ShowUsage
                cmp     16
                jrnc    ShowUsage
DriveLetterOK:
                ld      c,a                     ; C ist nun LW-Buchstabe
                ld      b,0                     ; B = Anzahl gefundener Separatoren
                inc     hl
                ld      a,58    ; ':'
                cmp     (hl)
                jrnz    SkipColon
                inc     hl
                inc     b
SkipColon:      ld      a,32    ; ' '           ; Leerzeichen am Ende berlesen
                cmp     (hl)
                jrnz    SkipSpace
                inc     hl
                ld      b,1
                jr      SkipColon
SkipSpace:
;--------------------------------------------------------------------------
; Hier: C = Laufwerk
;--------------------------------------------------------------------------
                ld      a,(hl)
                cmp     0
                jrnz    ShowUsage
BiosUnmount:    db      $ED,$FD,133

;--------------------------------------------------------------------------
ShowUsage:      ld      de,HelpText
                ld      c,9
                jmp     5

HelpText:       db      'UMOUNT utility for BICEM - (c) copyright 1999 Stefan Reuther',13,10
                db      10
                db      'Usage: UMOUNT drive:',13,10,36
